Eclipse Platform Release 3.7

## org.eclipse.ui.contentassist
Class ContentAssistHandler

    java.lang.Object
      org.eclipse.ui.contentassist.ContentAssistHandler

Deprecated. As of 3.2, replaced by JFace field assist support

    public class ContentAssistHandler

extends Object

A content assistant handler which handles the key binding and the cue for a `ContentAssistant` and its subject adapter.

Since:
  3.0

Method Summary
`static ContentAssistHandler` `createHandlerForCombo(Combo combo, SubjectControlContentAssistant contentAssistant)` Deprecated. Creates a new `ContentAssistHandler` for the given `Combo`.
`static ContentAssistHandler` `createHandlerForText(Text text, SubjectControlContentAssistant contentAssistant)` Deprecated. Creates a new `ContentAssistHandler` for the given `Text`.
`boolean` `isEnabled()` Deprecated.
`void` `setEnabled(boolean enable)` Deprecated. Controls enablement of content assist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createHandlerForCombo

    public static ContentAssistHandler createHandlerForCombo(Combo combo,
                                                             SubjectControlContentAssistant contentAssistant)

  Deprecated.
  Creates a new `ContentAssistHandler` for the given `Combo`. Only a single `ContentAssistHandler` may be installed on a `Combo` instance. Content Assist is enabled by default.

  Parameters:
    `combo` - target combo
    `contentAssistant` - a configured content assistant
  Returns:
    a new `ContentAssistHandler`

### createHandlerForText

    public static ContentAssistHandler createHandlerForText(Text text,
                                                            SubjectControlContentAssistant contentAssistant)

  Deprecated.
  Creates a new `ContentAssistHandler` for the given `Text`. Only a single `ContentAssistHandler` may be installed on a `Text` instance. Content Assist is enabled by default.

  Parameters:
    `text` - target text
    `contentAssistant` - a configured content assistant
  Returns:
    a new `ContentAssistHandler`

### isEnabled

    public boolean isEnabled()

  Deprecated.
  Returns:
    `true` iff content assist is enabled

### setEnabled

    public void setEnabled(boolean enable)

  Deprecated.
  Controls enablement of content assist. When enabled, a cue is shown next to the focused field and the affordance hover shows the shortcut.

  Parameters:
    `enable` - enable content assist iff true

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.